Skip to main content
POST
/
api
/
v1
/
agents
/
register
Register Agent Endpoint
curl --request POST \
  --url https://api.cognee.ai/api/v1/agents/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_session_name": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
agent_session_name
string
required

A unique name for this agent connection. Combined with the authenticated user's ID to identify the connection.

type
enum<string>
default:api
Available options:
sdk,
api,
mcp,
claude_code,
workflow,
unknown
memory_mode
enum<string>
default:unknown
Available options:
session,
cognee,
hybrid,
none,
unknown
session_id
string | null
dataset_ids
string[]
dataset_names
string[]
source
enum<string>
default:api
Available options:
agent_memory,
session_trace,
serve,
api_key,
mcp,
api
origin_function
string | null
metadata
Metadata · object

Response

Successful Response